# Uses of Class
org.eclipse.gef.mvc.fx.models.SnappingModel

Packages that use SnappingModel
Package
Description
org.eclipse.gef.mvc.fx.operations
This package contains all `IUndoableOperation` implementations contributed by MVC.FX.

## Uses of SnappingModel in org.eclipse.gef.mvc.fx.operations

Constructors in org.eclipse.gef.mvc.fx.operations with parameters of type SnappingModel
Modifier
Constructor
Description
``
`AddSnapToStrategyOperation(SnappingModel model, org.eclipse.gef.mvc.fx.handlers.ISnapToStrategy strategy)`
Constructs a new `AddSnapToStrategyOperation` that will add the given `ISnapToStrategy` to the list of supported strategies within the given `SnappingModel`.
``
`RemoveSnapToStrategyOperation(SnappingModel model, org.eclipse.gef.mvc.fx.handlers.ISnapToStrategy strategy)`
Constructs a new `RemoveSnapToStrategyOperation` that will remove the given `ISnapToStrategy` from the list of supported strategies within the given `SnappingModel`.